FileControllerBatchDelete Method |
POST /File/Delete
Deletes the files or folders with the specified IDs.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Delete")]
public IActionResult BatchDelete(
[FromBodyAttribute] BatchDeleteOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Delete")>
Public Function BatchDelete (
<FromBodyAttribute> options As BatchDeleteOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Delete")]
IActionResult^ BatchDelete(
[FromBodyAttribute] BatchDeleteOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Delete")>]
member BatchDelete :
[<FromBodyAttribute>] options : BatchDeleteOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsBatchDeleteOptions
Options affecting the behavior of the operation. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult A
DeleteResultData object or a reason for operation failure.
See Also